package com.sf.system.deployment.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sf.common.annotation.Excel;
import com.sf.common.core.domain.BaseEntity;

/**
 * 白名单列表对象 DEPLOYMENT_WHITELIST_INFO
 * 
 * @author ztzh
 * @date 2024-05-06
 */
@Data
public class DeploymentWhitelistInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 应用id */
    private Long appId;

    /** 应用id */
    @Excel(name = "应用id")
    private String appCode;

    /** 白名单名称 */
    @Excel(name = "白名单名称")
    private String whitelistName;

    /** 白名单类型 */
    @Excel(name = "白名单类型")
    private Long whitelistType;

    /** 白名单模式 */
    @Excel(name = "白名单模式")
    private Long whitelistMode;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 排序 */
    private Long orderNum;

    /** 逻辑删除,0:未删除,1:删除 */
    private Long isDelete;

    /** 创建人 */
    private String created;

    /** 更新人 */
    private String modified;

    /** 白名单成员列信息 */
    private List<DeploymentWhitelistList> deploymentWhitelistListList;

    /** 开始时间 */
    private Date beginTime;

    /** 开始时间 */
    private Date endTime;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("appId", getAppId())
            .append("appCode", getAppCode())
            .append("whitelistName", getWhitelistName())
            .append("whitelistType", getWhitelistType())
            .append("whitelistMode", getWhitelistMode())
            .append("status", getStatus())
            .append("remarks", getRemarks())
            .append("orderNum", getOrderNum())
            .append("isDelete", getIsDelete())
            .append("created", getCreated())
            .append("modified", getModified())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("deploymentWhitelistListList", getDeploymentWhitelistListList())
            .toString();
    }
}
